@extends('web.includes.layout',[
    'page_title' => '產品介紹 - ',
    'main_id' => 'product',
    'seo' => true,
    'seo_description' => '',
    'seo_image'=> '',
    'seo_type' => 'website',
])


@push('head')

@endpush
@push('script')

@endpush


@section('main')

<div id="inner-banner" class="position-relative">
    <img src="{{ resources_path() }}_img/product/banner.jpg" alt="">
    <div class="banner-txt text-white">
        <div class="t1 fs-40 font-weight-bold">PRODUCTS</div>
        <div class="t2 fs-20 font-weight-bold">產品介紹</div>
    </div>
</div>
<div id="bread">
    <div class="container py-2">
        <ul class="bread-list row text-primary2 fs-14">
            <li class="bread-item col-auto"><a href="{{ base_path() }}"><i class="far fa-house mr-1"></i>HOME</a></li>
            <li class="bread-item col-auto"><a href="{{ base_path(Request::path()) }}">產品介紹</a></li>
        </ul>
    </div>
</div>

<article>
    <section id="product-index" class="py-5">
        <div class="container aside-style">
            <div class="row">
                <aside class="col-lg-2 d-none d-lg-block">
                    <div class="aside-title bg-primary3 px-2 py-3">
                        <div class="main-title light">
                            <div class="t1 fs-20 font-weight-bold text-white">產品列表</div>
                        </div>
                    </div>
                    <ul class="aside-list mb-0 bg-primary4 py-4">
                    	@forelse($products as $class)
                        <li class="aside-item font-weight-bold"><a href="{{ base_path() }}product/{{ $class['id'] }}" class="px-3 py-2 d-block">{{ $class['name'] }}</a></li>
                        @empty
                        @endforelse
                    </ul>
                </aside>
                <div class="right-block col-lg-10">
                    <div class="p-list row">
                        @forelse ($products as $element)
                        <div class="col-md-3 col-6 mb-4">
                            <div class="p-item position-relative bg-primary4">
                                <a href="{{ base_path() }}product/{{ $element['id'] }}" class="content">
                                    <div class="txt-row">
                                        <div class="p-name font-weight-bold">
                                            <span>{{ $element['name'] }}</span>
                                        </div>
                                        <div class="detail-content">
                                            <div class="p-detail fs-14 mt-2">
                                                {{ mb_substr( $element['s_info'] , 0 , 60 , 'utf-8') }}
                                            </div>
                                            <div class="more text-center fs-14 mt-5">
                                                <span>了解更多</span><i class="far fa-angle-right ml-4"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="img-row">
                                        <div class="pic cover">
                                            <span><img src="{{ storage_path($element['pic']) }}" alt=""></span>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                        @empty
                        @endforelse
                    </div>

 
                </div>
            </div>
        </div>
        
    </section>
</article>



@endsection